Skip to main content
POST

Request

string
required
Bearer token with your API key: Bearer tr_your_api_key
string
required
The span ID to evaluate (e.g., sp_abc123def456)
string
required
The evaluator key. Currently only quality is supported.
number
required
The evaluation score. Use 1 for positive or 0 for negative.
string
Optional note explaining the evaluation

Response

string
Unique identifier for the evaluation
string
Key of the evaluator used
string
Display name of the evaluator
number
The evaluation score
string
Source of the evaluation (e.g., api, dashboard)
string | null
Optional note explaining the evaluation
string
ISO 8601 timestamp

Authorizations

Authorization
string
header
required

API key starting with tr_

Path Parameters

spanId
string
required

The span ID to evaluate (e.g., sp_abc123def456)

Body

application/json
evaluatorKey
string
required

The evaluator key. Currently only quality is supported.

value
number
required

The evaluation score. Use 1 for positive or 0 for negative.

note
string

Optional note explaining the evaluation

Response

Evaluation created

id
string

Unique identifier for the evaluation

evaluatorKey
string

Key of the evaluator used

evaluatorName
string

Display name of the evaluator

value
number

The evaluation score

source
string

Source of the evaluation (e.g., api, dashboard)

note
string | null

Optional note explaining the evaluation

createdAt
string<date-time>

ISO 8601 timestamp of creation